osl::move_probability::ToEffect Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::move_probability::ToEffect Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::ToEffect:
[legend]
Collaboration diagram for osl::move_probability::ToEffect:
[legend]

## Public Member Functions
| ToEffect ()
double | match (const StateInfo &state, const MoveInfo &info, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions
static const Piece | find (const NumEffectState &state, Square to, const PieceMask &remove, Player player)
static void | supportAttack (const NumEffectState &state, Square to, const PieceMask &my_pin, const PieceMask &op_pin, Player turn, std::pair< Ptype, Ptype > &out)
static void | supportAttack (const StateInfo &info, Square to, Move move, std::pair< Ptype, Ptype > &out)
static size_t | supportAttack (const StateInfo &info, Square to, Move move)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 352 of file move_probability/feature.h.

## Constructor & Destructor Documentation

osl::move_probability::ToEffect::ToEffect | ( | ) |  |
| inline

Definition at line 355 of file move_probability/feature.h.

## Member Function Documentation

static const Piece osl::move_probability::ToEffect::find | ( | const NumEffectState & | state,
|  | Square | to,
|  | const PieceMask & | remove,
|  | Player | player
| ) |  |
| inlinestatic

Definition at line 358 of file move_probability/feature.h.

References osl::Square::isOnBoard().

Referenced by supportAttack().

double osl::move_probability::ToEffect::match | ( | const StateInfo & | state,
|  | const MoveInfo & | info,
|  | int | offset,
|  | const double * | w
| ) |  | const
| inlinevirtual

Implements osl::move_probability::Feature.

Definition at line 396 of file move_probability/feature.h.

References osl::captured(), osl::Move::capturePtype(), osl::move_probability::Feature::dimension(), osl::move_probability::MoveInfo::move, osl::Move::ptype(), osl::PTYPE_SIZE, supportAttack(), and osl::Move::to().

static void osl::move_probability::ToEffect::supportAttack | ( | const NumEffectState & | state,
|  | Square | to,
|  | const PieceMask & | my_pin,
|  | const PieceMask & | op_pin,
|  | Player | turn,
|  | std::pair< Ptype, Ptype > & | out
| ) |  |
| inlinestatic

Definition at line 368 of file move_probability/feature.h.

References osl::alt(), find(), and osl::Piece::ptype().

Referenced by match(), supportAttack(), and osl::move_probability::PatternCommon::updateCacheOne().

static void osl::move_probability::ToEffect::supportAttack | ( | const StateInfo & | info,
|  | Square | to,
|  | Move | move,
|  | std::pair< Ptype, Ptype > & | out
| ) |  |
| inlinestatic

Definition at line 378 of file move_probability/feature.h.

References osl::alt(), osl::Move::from(), osl::Move::isDrop(), out, osl::move_probability::StateInfo::pin, osl::move_probability::StateInfo::state, and supportAttack().

static size_t osl::move_probability::ToEffect::supportAttack | ( | const StateInfo & | info,
|  | Square | to,
|  | Move | move
| ) |  |
| inlinestatic

Definition at line 390 of file move_probability/feature.h.

References osl::PTYPE_SIZE, and supportAttack().

The documentation for this class was generated from the following file:

- move_probability/feature.h